## app-search-app 1.0

=== Makefile ===

APP=app-search-app
PKGS=hildon-1 dbus-glib-1

SOURCES = $(wildcard src/*.c)

CFLAGS += $(shell pkg-config $(PKGS) --cflags)
LIBS += $(shell pkg-config $(PKGS) --libs)

$(APP): $(SOURCES)
	$(CC) $(CFLAGS) $(LIBS) $^ -o $@

clean:
	rm -f $(APP)

.PHONY: clean

=== debian/changelog ===
app-search-app (1.0) fremantle; urgency=low

  * Initial version based on app-search-widget by Nicolai Hess

 -- Thomas Perl <m@thp.io>  Mon,  1 Nov 2010 09:53:08 -0400

## app-search-app 1.1

=== debian/changelog ===
app-search-app (1.1) fremantle; urgency=low

  * Close the dialog on Backspace in empty text entry box

 -- Thomas Perl <m@thp.io>  Mon,  1 Nov 2010 10:19:12 -0400

=== debian/control ===
Source: app-search-app
Priority: extra
Maintainer: Thomas Perl <m@thp.io>
Build-Depends: debhelper (>= 5), libhildon1-dev, libdbus-glib-1-dev
Standards-Version: 3.7.2
Section: utils
XSBC-Bugtracker: mailto:m@thp.io

Package: app-search-app
Architecture: any
Depends: ${shlibs:Depends}
Description: Searchable application list
 This is a simple application based on Nicolai Hess'
 app-search-widget for integration into D-Bus scripts
 or hotkeys to easily select an application, with
 focus on keyboard-only usage (type text, select
 using the arrow keys, then hit Enter to select).
 .
 This package does not have an application icon by
 itself, but can be started from scripts directly in
 /opt/app-search-app/app-search-app.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

PACKAGE=app-search-app
APP=$(PACKAGE)
DESTDIR=/opt/$(PACKAGE)/
INSTALL_TO=$(CURDIR)/debian/$(PACKAGE)$(DESTDIR)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	mkdir -p $(INSTALL_TO)
	cp $(APP) $(INSTALL_TO)/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
